% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LearnerClassifGlmnet.R
\docType{data}
\name{LearnerClassifGlmnet}
\alias{LearnerClassifGlmnet}
\alias{mlr_learners_classif.glmnet}
\title{GLM with Elastic Net Regularization Classification Learner}
\format{\code{\link[R6:R6Class]{R6::R6Class()}} inheriting from \link[mlr3:LearnerClassif]{mlr3::LearnerClassif}.}
\description{
Generalized linear models with elastic net regularization.
Calls \code{\link[glmnet:cv.glmnet]{glmnet::cv.glmnet()}} from package \CRANpkg{glmnet}.
}
\section{Construction}{
\preformatted{LearnerClassifGlmnet$new()
mlr3::mlr_learners$get("classif.glmnet")
mlr3::lrn("classif.glmnet")
}
}

\examples{
learner = mlr3::lrn("classif.glmnet")
print(learner)

# available parameters:
learner$param_set$ids()
}
\references{
Jerome Friedman, Trevor Hastie, Robert Tibshirani (2010).
Regularization Paths for Generalized Linear Models via Coordinate Descent.
Journal of Statistical Software, 33(1), 1-22.
\doi{10.18637/jss.v033.i01}.
}
\seealso{
\link[mlr3misc:Dictionary]{Dictionary} of \link[mlr3:Learner]{Learners}: \link[mlr3:mlr_learners]{mlr3::mlr_learners}
}
\keyword{datasets}
